From 4c240277f1cfee071e19ed1f4ac8bc4a4b3f554d Mon Sep 17 00:00:00 2001
From: Dmitry Gerasimov <dmitriy.gerasimov@demlabs.net>
Date: Fri, 29 Apr 2022 21:19:15 +0700
Subject: [PATCH] [-] Removed core-t and kelvin-testnet [+] Add back mileena

---
 linux/debian/essentials/postinst  | 44 ++++++++-----------------------
 linux/debian/essentials/templates | 19 +++++++++++++
 2 files changed, 30 insertions(+), 33 deletions(-)

diff --git a/linux/debian/essentials/postinst b/linux/debian/essentials/postinst
index b97be20..769107a 100755
--- a/linux/debian/essentials/postinst
+++ b/linux/debian/essentials/postinst
@@ -61,33 +61,11 @@ sed -i "s/{NOTIFY_SRV_ADDR}/$RET/g" $DAP_CFG  || true
 db_get cellframe-node/notify_srv_port || true
 sed -i "s/{NOTIFY_SRV_PORT}/$RET/g" $DAP_CFG  || true
 
-# Init core testnet
-NET_NAME="core-t"
 
-db_get cellframe-node/core_t_enabled || true
-if [ "$RET" = "true" ]; then
-    DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
-    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
-    DAP_NET_CFG=""
-    if [ -e "$DAP_CFG_NET" ]; then
-	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.dpkg-new"
-    else
-	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
-    fi
-
-    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
-    db_get cellframe-node/core_t_node_type || true
-    NODE_TYPE=$RET
-    sed -i "s/{NODE_TYPE}/$NODE_TYPE/g" $DAP_NET_CFG  || true
-    echo "[*] Enabled core testnet"
-fi
-
-
-
-# Init kelvin-testnet
-NET_NAME="kelvin-testnet"
+# Init subzero
+NET_NAME="subzero"
 
-db_get cellframe-node/kelvin_testnet_enabled || true
+db_get cellframe-node/subzero_enabled || true
 if [ "$RET" = "true" ]; then
     DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
     DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
@@ -99,16 +77,16 @@ if [ "$RET" = "true" ]; then
     fi
 
     cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
-    db_get cellframe-node/kelvin_testnet_node_type || true
+    db_get cellframe-node/subzero_node_type || true
     NODE_TYPE=$RET
     sed -i "s/{NODE_TYPE}/$NODE_TYPE/g" $DAP_NET_CFG  || true
-    echo "[*] Enabled kelvin testnet"
+    echo "[*] Enabled subzero"
 fi
 
-# Init subzero
-NET_NAME="subzero"
+# Init mileena
+NET_NAME="mileena"
 
-db_get cellframe-node/subzero_enabled || true
+db_get cellframe-node/mileena_enabled || true
 if [ "$RET" = "true" ]; then
     DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
     DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
@@ -120,13 +98,13 @@ if [ "$RET" = "true" ]; then
     fi
 
     cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
-    db_get cellframe-node/subzero_node_type || true
+    db_get cellframe-node/mileena_node_type || true
     NODE_TYPE=$RET
     sed -i "s/{NODE_TYPE}/$NODE_TYPE/g" $DAP_NET_CFG  || true
-    echo "[*] Enabled subzero"
+    echo "[*] Enabled mileena"
 fi
 
-# Init subzero
+# Init Minkowski
 NET_NAME="kelvpn-minkowski"
 
 db_get cellframe-node/kelvpn_minkowski_enabled || true
diff --git a/linux/debian/essentials/templates b/linux/debian/essentials/templates
index 2196d02..94a66f8 100755
--- a/linux/debian/essentials/templates
+++ b/linux/debian/essentials/templates
@@ -62,6 +62,25 @@ Description: SubZero: Node role
  archive - Sync all the network
  root - Special predefined root nodes, usualy produces zerochain and act like archive as well
 
+Template: cellframe-node/mileena_enabled
+Default: true
+Choices: true, false
+Type: select
+Description: Mileena: Enable network
+ Mileena Testnet: Enable network auto load on start
+
+Template: cellframe-node/mileena_node_type
+Type: select
+Default: full
+Choices: full, light, master, archive, root
+Description: Mileena: Node role
+ Select node role:. 
+ Light - syncronize only local wallets 
+ full - sync all its cell
+ master - allow to store values in chains and take comission, sync all shards that will need to be synced
+ archive - Sync all the network
+ root - Special predefined root nodes, usualy produces zerochain and act like archive as well
+
 Template: cellframe-node/kelvpn_minkowski_enabled
 Default: true
 Choices: true, false
-- 
GitLab